package com.chinaitop.depot.supervise.mapper;

import com.chinaitop.depot.supervise.model.DepotStyle;
import com.chinaitop.depot.supervise.model.DepotStyleExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface DepotStyleMapper {
    int countByExample(DepotStyleExample example);

    int deleteByExample(DepotStyleExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DepotStyle record);

    int insertSelective(DepotStyle record);

    List<DepotStyle> selectByExampleWithBLOBs(DepotStyleExample example);

    List<DepotStyle> selectByExample(DepotStyleExample example);

    DepotStyle selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DepotStyle record, @Param("example") DepotStyleExample example);

    int updateByExampleWithBLOBs(@Param("record") DepotStyle record, @Param("example") DepotStyleExample example);

    int updateByExample(@Param("record") DepotStyle record, @Param("example") DepotStyleExample example);

    int updateByPrimaryKeySelective(DepotStyle record);

    int updateByPrimaryKeyWithBLOBs(DepotStyle record);

    int updateByPrimaryKey(DepotStyle record);

    List<Map<String,Object>> selectByCameraPoint(Map<String, Object> map);

    List<Map<String,Object>> selectByGrainSituaiton(Map<String, Object> map);
    //获取仓储作业
    List<Map<String,Object>> selectWorkingForHouse(Map<String, Object> map);
    //获取储粮信息
    List<Map<String,Object>> selectLQForHouse(Map<String, Object> map);
    //获取正在进行通风的仓房
    List<Map<String,Object>> selectCLTask(Map<String, Object> map);
    //获取正在进行熏蒸的仓房
    List<Map<String,Object>> selectCLXZ(Map<String, Object> map);
    //获取正在进行入库的仓房
    List<Map<String,Object>> selectRK(Map<String, Object> map);
    //获取正在进行出库的仓房
    List<Map<String,Object>> selectCK(Map<String, Object> map);
    //获取仓房状态--当前粮食温度情况
    List<Map<String,Object>> selectHouseState(Map<String, Object> map);
}