package com.chinaitop.depot.supervise.model;

import java.util.Date;

public class TTestdataYear {
    private Integer id;

    private String orgId;

    private String storehouse;

    private String temperatureData;

    private Date queryTime;

    /**
     * 查询的粮情年数据存储表
     * @return id 查询的粮情年数据存储表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 查询的粮情年数据存储表
     * @param id 查询的粮情年数据存储表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 仓房国标编码
     * @return storehouse 仓房国标编码
     */
    public String getStorehouse() {
        return storehouse;
    }

    /**
     * 仓房国标编码
     * @param storehouse 仓房国标编码
     */
    public void setStorehouse(String storehouse) {
        this.storehouse = storehouse == null ? null : storehouse.trim();
    }

    /**
     * 一年的每周测温平均时间
     * @return temperature_data 一年的每周测温平均时间
     */
    public String getTemperatureData() {
        return temperatureData;
    }

    /**
     * 一年的每周测温平均时间
     * @param temperatureData 一年的每周测温平均时间
     */
    public void setTemperatureData(String temperatureData) {
        this.temperatureData = temperatureData == null ? null : temperatureData.trim();
    }

    /**
     * 查询时间
     * @return query_time 查询时间
     */
    public Date getQueryTime() {
        return queryTime;
    }

    /**
     * 查询时间
     * @param queryTime 查询时间
     */
    public void setQueryTime(Date queryTime) {
        this.queryTime = queryTime;
    }
}